MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026878Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-16 16:312016-04-20 15:50
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026878: CMake - encode properly version of OCCT in Windows binaries
DescriptionIt is good practice to record version of the product, copyright, and other relevant data in binaries (dll, exe). For OCCT, this is implemented in projects generated by WOK and genproj command (via generated resource files, TK*.rc). The same should be provided for binaries produced by CMake.
Steps To Reproduce1. generate msvc solution of any version
2. build it
3. check binaries (exe, dlls) for a version
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049379)
git (administrator)
2015-12-21 16:58

Branch CR26878 has been created by ibs.

SHA-1: 6cac22a1a12f91f65f371e68032bcf79763fa578


Detailed log of new commits:

Author: ibs
Date: Mon Dec 21 16:57:39 2015 +0300

    0026878: CMake - encode properly version of OCCT in Windows binaries
    
    .rc file has been added to each toolkit project for msvc
(0049381)
ibs (developer)
2015-12-21 17:02

dear ski,
please review CR26878 branch of OCCT git
(0049424)
ski (developer)
2015-12-22 13:02

No remarks, please proceed.
(0052949)
git (administrator)
2016-04-17 13:46

Branch CR26878 has been deleted by kgv.

SHA-1: 6cac22a1a12f91f65f371e68032bcf79763fa578

- Related Changesets
occt: master dfadf641
Timestamp: 2015-12-21 13:57:39
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026878: CMake - encode properly version of OCCT in Windows binaries

.rc file has been added to each toolkit project for msvc
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
add - adm/templates/occt_toolkit.rc.in Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-16 16:31 abv New Issue
2015-11-16 16:31 abv Assigned To => bugmaster
2015-11-16 16:31 abv Assigned To bugmaster => ibs
2015-11-16 16:31 abv Status new => assigned
2015-12-21 16:58 git Note Added: 0049379
2015-12-21 17:02 ibs Note Added: 0049381
2015-12-21 17:02 ibs Assigned To ibs => ski
2015-12-21 17:02 ibs Status assigned => resolved
2015-12-21 17:02 ibs Steps to Reproduce Updated View Revisions
2015-12-22 13:02 ski Note Added: 0049424
2015-12-22 13:02 ski Assigned To ski => bugmaster
2015-12-22 13:02 ski Status resolved => reviewed
2015-12-22 14:48 bugmaster Status reviewed => tested
2015-12-25 19:04 bugmaster Changeset attached => occt master dfadf641
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052949
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker